## ros-jazzy-diagnostic-common-diagnostics 4.2.1

=== debian/changelog ===
ros-jazzy-diagnostic-common-diagnostics (4.2.1-1bookworm) bookworm; urgency=high

  * fixing pep257 problems introduced by #334 <https://github.com/ros/diagnostics/issues/334> (#384 <https://github.com/ros/diagnostics/issues/384>) (#392 <https://github.com/ros/diagnostics/issues/392>)
  * Fixing ntp launchtest (#330 <https://github.com/ros/diagnostics/issues/330>) (#391 <https://github.com/ros/diagnostics/issues/391>)
  * Port hd_monitor to ROS2 (#334 <https://github.com/ros/diagnostics/issues/334>) (#383 <https://github.com/ros/diagnostics/issues/383>)
  * Contributors: Christian Henkel, Richardvdketterij, Richard

 -- Austin Hendrix <namniart@gmail.com>  Mon, 29 Jul 2024 16:00:00 -0000

ros-jazzy-diagnostic-common-diagnostics (4.0.1-1bookworm) bookworm; urgency=high

  * refactor(sensors_monitor): ros2 port #339 <https://github.com/ros/diagnostics/issues/339> (#367 <https://github.com/ros/diagnostics/issues/367>)
  * refactor(ram_monitor): ros2 port (#338 <https://github.com/ros/diagnostics/issues/338>)
  * NTP monitor improvements (#342 <https://github.com/ros/diagnostics/issues/342>)
  * Using ubuntu ntp server in systemtest (#346 <https://github.com/ros/diagnostics/issues/346>)
  * Contributors: Christian Henkel, Rein Appeldoorn, Tony Najjar

 -- Austin Hendrix <namniart@gmail.com>  Wed, 26 Jun 2024 16:00:00 -0000

ros-jazzy-diagnostic-common-diagnostics (4.0.0-1bookworm) bookworm; urgency=high

  * Port cpu_monitor to ROS2 (#326 <https://github.com/ros/diagnostics/issues/326>)
  * Debugging instability introduced by #317 <https://github.com/ros/diagnostics/issues/317>  (#323 <https://github.com/ros/diagnostics/issues/323>)
  * not testing on foxy any more (#310 <https://github.com/ros/diagnostics/issues/310>)
  * Iron support (#304 <https://github.com/ros/diagnostics/issues/304>)
  * Contributors: Christian Henkel, Richard

 -- Austin Hendrix <namniart@gmail.com>  Thu, 21 Mar 2024 16:00:00 -0000

ros-jazzy-diagnostic-common-diagnostics (3.1.2-1bookworm) bookworm; urgency=high

  * replacing ntpdate with ntplib (#289 <https://github.com/ros/diagnostics/issues/289>)
  * Contributors: Christian Henkel

 -- Austin Hendrix <namniart@gmail.com>  Thu, 23 Mar 2023 16:00:00 -0000

ros-jazzy-diagnostic-common-diagnostics (3.1.1-1bookworm) bookworm; urgency=high

  * Secretly supporting galactic (#295 <https://github.com/ros/diagnostics/issues/295>)
  * Linting additional package (#268 <https://github.com/ros/diagnostics/issues/268>)
  * Maintainer update
  * Contributors: Austin, Christian Henkel, Ralph Lange

 -- Austin Hendrix <namniart@gmail.com>  Wed, 15 Mar 2023 16:00:00 -0000

ros-jazzy-diagnostic-common-diagnostics (3.1.0-1bookworm) bookworm; urgency=high

  * Adding READMEs to the repo (#270 <https://github.com/ros/diagnostics/issues/270>)
  * License fixes (#263 <https://github.com/ros/diagnostics/issues/263>)
  * Fix/cleanup ros1 (#257 <https://github.com/ros/diagnostics/issues/257>)
  * Port ntp_monitor to ROS2 (#242 <https://github.com/ros/diagnostics/issues/242>)
  * Contributors: Austin, Christian Henkel, RFRIEDM-Trimble, Ralph Lange

 -- Austin Hendrix <namniart@gmail.com>  Wed, 25 Jan 2023 16:00:00 -0000

ros-jazzy-diagnostic-common-diagnostics (1.9.3-1bookworm) bookworm; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 May 2018 16:00:00 -0000

ros-jazzy-diagnostic-common-diagnostics (1.9.2-1bookworm) bookworm; urgency=high

  * FIX: add missing dependency
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Jul 2017 16:00:00 -0000

ros-jazzy-diagnostic-common-diagnostics (1.9.1-1bookworm) bookworm; urgency=high

  * Add queue size parameters on Publishers
  * Minor python updates
  * Added CPU percentage monitor
    CPU monitor that outputs the average CPU percentage and a percentage per
    CPU. The user can specify the warning CPU percentage. When one CPU exceeds
    this percentage, the diagnostics status is set to WARN.
  * Contributors: Rein Appeldoorn, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Jul 2017 16:00:00 -0000

ros-jazzy-diagnostic-common-diagnostics (1.9.0-1bookworm) bookworm; urgency=high

  * Remove warning for missing queue size specification
  * Contributors: sandeep

 -- Austin Hendrix <namniart@gmail.com>  Mon, 24 Apr 2017 16:00:00 -0000

ros-jazzy-diagnostic-common-diagnostics (1.8.10-1bookworm) bookworm; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 13 Jun 2016 16:00:00 -0000

ros-jazzy-diagnostic-common-diagnostics (1.8.9-1bookworm) bookworm; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 Mar 2016 16:00:00 -0000

ros-jazzy-diagnostic-common-diagnostics (1.8.8-1bookworm) bookworm; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 05 Aug 2015 16:00:00 -0000

ros-jazzy-diagnostic-common-diagnostics (1.8.7-1bookworm) bookworm; urgency=high

  * Remove libsensors node because it isn't portable.
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Thu, 08 Jan 2015 16:00:00 -0000

ros-jazzy-diagnostic-common-diagnostics (1.8.6-1bookworm) bookworm; urgency=high

  * Add voltage sensor support
  * Add ignore_sensors parameter
  * Add license agreement
  * Style cleanup and error handling
  * Initial commit of libsensors based sensors_monitor
  * Contributors: Mitchell Wills, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Tue, 09 Dec 2014 16:00:00 -0000

ros-jazzy-diagnostic-common-diagnostics (1.8.5-1bookworm) bookworm; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 28 Jul 2014 16:00:00 -0000

ros-jazzy-diagnostic-common-diagnostics (1.8.4-1bookworm) bookworm; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 24 Jul 2014 12:51:00 -0000

ros-jazzy-diagnostic-common-diagnostics (1.8.3-1bookworm) bookworm; urgency=high

  * ntp_diagnostic now publishing more frequently to avoid stale
  * added install rules for the common diagnostics scripts
  * Contributors: Brice Rebsamen


