=== debian/control ===
Source: ros-jazzy-diagnostic-common-diagnostics
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-lint-cmake <!nocheck>, ros-jazzy-ament-cmake-pytest <!nocheck>, ros-jazzy-ament-cmake-python, ros-jazzy-ament-cmake-xmllint <!nocheck>, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-launch-testing-ament-cmake <!nocheck>, ros-jazzy-ros-workspace
Homepage: http://ros.org/wiki/diagnostic_common_diagnostics
Standards-Version: 3.9.2

Package: ros-jazzy-diagnostic-common-diagnostics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lm-sensors, python3-ntplib, python3-psutil, ros-jazzy-diagnostic-updater, ros-jazzy-ros-workspace
Description: diagnostic_common_diagnostics
